Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ADIS

TB-1103

Department: AST Affected Products:  

Requester's Priority: Normal Platform:  

Support Level: 2nd Level Topic: DisplayTB::2DDisplay

Resolution: Workaround Available FAQ Links:  

Description

Supportanfrage

Wenn ich die Demo Projekte der 2D Beispiele wie z.B. 2D Text Drawer Example ausführe, wird  zwar das 2D Display des "2D

OpenGL Display" angezeigt, allerdings wird darin nichts gezeichnet. Wenn ich in den text_drawer Filter reindebugge, sehe ich auch,

dass zwar die Init-Methode aber niemals die "Draw"-Methode aufgerufen wird.

Die 3D Visualisierungen funktionieren hingegen.

Ich verwende ADTF 3.9.1 und die Display-TBX 3.5.

Was muss ich dann machen, damit etwas in das 2D Display gezeichnet wird bzw. die Draw-Methode des Filters aufgerufen wird?

Lösung

Zu ADTF 3.8 gab es einen Fix im Session Manager, was das korrekte Connection ziehen betrifft.

Komponenten die an der Stelle "falsch" implementiert sind, wären hier nicht mehr lauffähig.

Das betrifft u.a. die Display TB bzw. die Drawer, wir haben aber einen Workaround eingebaut, siehe

https://support.digitalwerk.net/adtf/v3/adtf_html/page_release_notes_3_8_0.html

d.h. Workaround bis zur neuen Display TB:

Setze die angesprochene Environment Variable ADTF_CONNECTION_CREATION_STATE auf 2 (das kannst du auch im System

Editor für die jeweilige Session anlegen), dann müsste die Session laufen.

Das Ticket in der Display TB

[ADISTB-1103] - Correct connection establishment

ist bereits umgesetzt, es braucht nur noch den Release

History

#1 - 2020-11-17 10:16 - hidden

- Project changed from Public Support to 11

- Status changed from New to Customer Feedback Required

- Topic set to DisplayTB::2DDisplay

- Resolution set to Workaround Available

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADISTB-1103

- Customer set to AUDI

- Department set to AST

Hallo Dirk,

zu ADTF 3.8 gab es einen Fix im Session Manager, was das korrekte Connection ziehen betrifft.

Komponenten die an der Stelle "falsch" implementiert sind, wären hier nicht mehr lauffähig.

Das betrifft u.a. die Display TB bzw. die Drawer, wir haben aber einen Workaround eingebaut, siehe

2024-04-23 1/2

https://support.digitalwerk.net/adtf/v3/adtf_html/page_release_notes_3_8_0.html


https://support.digitalwerk.net/adtf/v3/adtf_html/page_release_notes_3_8_0.html

d.h. Workaround bis zur neuen Display TB:

Setze die angesprochene Environment Variable ADTF_CONNECTION_CREATION_STATE auf 2 (das kannst du auch im System Editor für die

jeweilige Session anlegen), dann müsste die Session laufen.

Das Ticket in der Display TB

[ADISTB-1103] - Correct connection establishment

ist bereits umgesetzt, es braucht nur noch den Release

#2 - 2020-11-19 09:15 - hidden

Ok. Danke für die Info. Damit funktioniert es jetzt. Das Ticket kann geschlossen werden.

VG Dirk

#3 - 2020-11-19 09:42 - hidden

- Project changed from 11 to Public Support

- Subject changed from Display-Toolbox 2D Visualisierung wird nicht gezeichnet to No painting within 2D Display Drawers

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

Hallo Dirk,

Damit funktioniert es jetzt

 Wunderbar!

#4 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
